## org.apache.ivy.core.event.resolve
Class ResolveDependencyEvent

    java.lang.Object
      org.apache.ivy.core.event.IvyEvent
          org.apache.ivy.core.event.resolve.ResolveDependencyEvent

Direct Known Subclasses:
  EndResolveDependencyEvent, StartResolveDependencyEvent

    public class ResolveDependencyEvent

extends IvyEvent

Constructor Summary
`protected` `ResolveDependencyEvent(java.lang.String name, DependencyResolver resolver, DependencyDescriptor dd, ModuleRevisionId requestedRevisionId)`

Method Summary
`DependencyDescriptor` `getDependencyDescriptor()`
`DependencyResolver` `getResolver()`

Methods inherited from class org.apache.ivy.core.event.IvyEvent
`addAttribute, addAttributes, addConfsAttribute, addMDAttributes, addModuleIdAttributes, addMridAttributes, equals, getAttributes, getName, getSource, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResolveDependencyEvent

    protected ResolveDependencyEvent(java.lang.String name,
                                     DependencyResolver resolver,
                                     DependencyDescriptor dd,
                                     ModuleRevisionId requestedRevisionId)

Method Detail

### getDependencyDescriptor

    public DependencyDescriptor getDependencyDescriptor()

### getResolver

    public DependencyResolver getResolver()